CREATE TABLE movies(
mov_id INT AUTO_INCREMENT,
name VARCHAR(200) NOT NULL,
genre VARCHAR(50) NOT NULL,
release_date TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY(mov_id)
);

CREATE TABLE customers(
usr_id INT AUTO_INCREMENT,
first_name VARCHAR(30) NOT NULL,
last_name VARCHAR(30) NOT NULL,
phone VARCHAR(15) NOT NULL,
address VARCHAR(255) NOT NULL,
PRIMARY KEY (usr_id)
);

CREATE TABLE reservations(
res_id INT AUTO_INCREMENT,
movie_name VARCHAR(200) NOT NULL,
res_date TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
returned INT(1) NOT NULL DEFAULT 0,
mov_id INT(11) NOT NULL,
usr_id INT (11) NOT NULL,
PRIMARY KEY (res_id),
INDEX (mov_id),
INDEX (usr_id)
);


INSERT INTO movies VALUES(
NULL,
'American Haunting',
'Horror',
'2002-10-02'
);

INSERT INTO movies VALUES(
NULL,
'Shrek',
'Comedy',
'2005-02-19'
);

INSERT INTO movies VALUES(
NULL,
'The Mask',
'Comedy',
'2006-04-30'
);

INSERT INTO movies VALUES(
NULL,
'X-Men IV',
'Action',
'2009-05-29'
);